| BSL430.NET 1.3.4

Public Member Functions | Properties | List of all members
BSL430_NET.Status Class Reference

Status class is an Error Cluster with int, bool and string status with Core and UART messages. More...

Inheritance diagram for BSL430_NET.Status:

## Public Member Functions
string | FormattedString (Status Stat, bool TopLevel=false)
| Formatted status from single object. More...
override string | ToString ()
| Formatted Status chain, that is built from Msg and InnerStatus Msg properties, with Extra and optional Core/Uart Status. More...

## Properties
int | Error = 0`[get, set]`
| Numeric representation of status, any value other then 0 indicates an error. More...
bool | OK = false`[get, set]`
| Boolean representation of status, true means OK, false means ERROR. More...
string | Msg = "unknown"`[get, set]`
| String representation of status. More...
string | Extra = ""`[get, set]`
| Additional info, that can be used for detailed problem analysis. More...
BslCoreMessage | CoreStatus = BslCoreMessage.NotAvailable`[get, set]`
| BslCoreMessage status. More...
BslUartMessage | UartStatus = BslUartMessage.NotAvailable`[get, set]`
| BslUartMessage status. More...
Status | InnerStatus = null`[get, set]`
| Inner Status like inner exception can contain the previous Status, usually with error. More...

## Detailed Description

Status class is an Error Cluster with int, bool and string status with Core and UART messages.

## Member Function Documentation

## ◆ FormattedString()

string BSL430_NET.Status.FormattedString | ( | Status | Stat,
|  | bool | TopLevel = `false`
| ) |  |

Formatted status from single object.

## ◆ ToString()

override string BSL430_NET.Status.ToString | ( |  | ) |

Formatted Status chain, that is built from Msg and InnerStatus Msg properties, with Extra and optional Core/Uart Status.

## Property Documentation

## ◆ CoreStatus

BslCoreMessage BSL430_NET.Status.CoreStatus = BslCoreMessage.NotAvailable
| get set

BslCoreMessage status.

## ◆ Error

int BSL430_NET.Status.Error = 0
| get set

Numeric representation of status, any value other then 0 indicates an error.

## ◆ Extra

string BSL430_NET.Status.Extra = ""
| get set

Additional info, that can be used for detailed problem analysis.

## ◆ InnerStatus

Status BSL430_NET.Status.InnerStatus = null
| get set

Inner Status like inner exception can contain the previous Status, usually with error.

## ◆ Msg

string BSL430_NET.Status.Msg = "unknown"
| get set

String representation of status.

## ◆ OK

bool BSL430_NET.Status.OK = false
| get set

Boolean representation of status, true means OK, false means ERROR.

## ◆ UartStatus

BslUartMessage BSL430_NET.Status.UartStatus = BslUartMessage.NotAvailable
| get set

BslUartMessage status.

The documentation for this class was generated from the following file:

- D:/PROJECTS/C#/BSL430.NET/src/BSL430.NET/BSL430NET.cs